.navigation-bar {
    background-color: rgba(0, 0, 0, 0.5);
    height: 2.5em !important;
    display: flex;
    justify-content: flex-end;
}

a.nav-home {
    padding-top: 35px !important;
    background: url(../images/home-norm.png) no-repeat center;
    padding-right: 45px !important;
}

a.nav-home:hover {
    background: url(../images/home-over.png) no-repeat center;
}

.navigation li a:active,
.navigation li a:hover {
    color: #d342fd;
    background-color: transparent !important;
    text-decoration: none;
    border-bottom-style: none;
}

.navigation li a:visited {
    background-color: transparent !important;
    text-decoration: none;
    border-bottom-style: none;
}

.backToHome-btn {
    width: 100vw;
    height: 150px;
    position: absolute;
    top: 2.5em;
    left: 0;
    display: block;
    /*background: rgba(234, 0, 0, 0.2);*/
}

.backToHome-btn:hover {
    cursor: pointer;
    text-decoration: none;
    border-bottom-style: none;
}

.nav li a {
    color: #B980FF;
    font-family: "kanit", sans-serif;
    font-weight: 300;
}

.nav .back-btn {
    position: absolute;
    left: -10px;
    padding-left: 10px;
}

ul {
    display: block;
    list-style-type: disc;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 40px;
}

#overlay,
#overlay-input,
#overlay-button {
    display: none;
}

#overlay,
#overlay-button {
    display: block !important;
}

#overlay-input {
    display: none;
}

.hamburger-box {
    position: relative;
    margin-top: 15px;
    margin-right: 10px;
}

.hamburger-inner,
.hamburger-inner::after,
.hamburger-inner::before {
    background-color: #ffffff;
}


input[type=checkbox] {
    display: none;
}

input[type=checkbox]:checked~#overlay {
    visibility: visible;
}


#overlay {
    height: auto;
    width: 100vw;
    background: rgba(0, 0, 0, 0.9);
    z-index: 2;
    visibility: hidden;
    position: absolute;
    top: 2.5em;
    left: 0;
}

#overlay:active {
    visibility: visible;
}

a {
    -webkit-transition: none;
    transition: none;
}

#overlay a {
    padding-left: 3em;
}

#overlay a:hover {
    text-decoration: none;
    border-bottom-style: none;
}

#webNav {
    display: none;
}

@media only screen and (max-width: 400px) {
    .backToHome-btn {
        width: 100vw;
        height: 150px;
        top: 2.5em;
    }
}

@media only screen and (min-width: 768px) {

    #nav-tech,
    #nav-products,
    #nav-partners,
    #nav-contact {
        height: 3.7em;
    }

    .navbar-nav>li>a {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .navigation-bar {
        height: 2.5em !important;
    }

    .backToHome-btn {
        width: 350px;
        height: 80px;
        position: absolute;
        top: 40px;
        left: -10px;
    }

    #overlay,
    #overlay-button {
        display: none !important;
    }

    #webNav {
        display: block !important;
    }

    a.nav-home {
        padding-top: 30px !important;
        background: url(../images/home-norm.png) no-repeat center;
        background-size: 35%;
    }

    a.nav-home:hover {
        background: url(../images/home-over.png) no-repeat center;
        background-size: 35%;
    }
}

@media only screen and (min-width: 992px) {
    .navbar-nav>li>a {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    .navigation-bar {
        height: 3.2em !important;
    }

    .backToHome-btn {
        width: 600px;
        height: 200px;
        position: absolute;
        top: 1.3%;
        left: 0%;
    }

    a.nav-home {
        padding-top: 35px !important;
        background: url(../images/home-norm.png) no-repeat center;
        background-size: 40%;
    }

    a.nav-home:hover {
        background: url(../images/home-over.png) no-repeat center;
        background-size: 40%;
    }
}

@media only screen and (min-width: 1920px) {
    .navbar-nav>li>a {
        padding-top: 26px;
        padding-bottom: 15px;
        font-size: calc(15px + (32 - 15) * ((100vw - 320px) / (2560 - 320))) !important;
    }

    .navigation-bar {
        height: 4.6em !important;
    }

    a.nav-home {
        padding-top: 60px !important;
        margin-right: 20px !important;
        background: url(../images/home-norm.png) no-repeat center;
        background-size: 55%;
    }

    a.nav-home:hover {
        background: url(../images/home-over.png) no-repeat center;
        background-size: 55%;
    }


}